Subject: virtual link transit summary lsa

From: Kishore Kumar Y <[email-masked]>
Date: Thu, 8 Jan 2004 13:16:20 +0530

backbone                   transit area 1           area 2
  -----------R1-----------------R2----------------------R3-------
   10.0.0.1        20.0.0.x              30.0.0.x               40.0.0.1

i configured a virtual link between router R2 and R3.
the cost for each interface is 10.

my doubt is at router R3 10.0.0.0 network route entry path type
should be INTER AREA or INTRA AREA.

according to RFC 2328 section 16.3
while doing Transit summary lsa calculation path type should remain
same INTRA AREA or INTER AREA found during calculation 16.1 and 16.2

i feel path type should be INTRA AREA though the path is through transit
area.

********************************************
Yarlagadda Kishore Kumar
Future Software Ltd.,
480-481, Mount Road,
Nandanam, chennai 600 035
ph: 91-44-433 0550  Ex -305 (O)
[email-masked]
[email-masked]
********************************************

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: Acee Lindem <[email-masked]>
Date: Thu, 8 Jan 2004 09:17:54 -0500

> i feel path type should be INTRA AREA though the path is through transit

Kishore,

You are connect, it should be type intra-area. You might want to assure
the virtual adjacency is in the full state.

-- 
Acee